# Installation Instructions

## Perquisites:

```bash
wget https://repo.anaconda.com/archive/Anaconda3-2021.11-Linux-x86_64.sh
chmod +x ./Anaconda3-2021.11-Linux-x86_64.sh
./Anaconda3-2021.11-Linux-x86_64.sh
```

for ARM systems use `https://repo.anaconda.com/archive/Anaconda3-2021.04-Linux-aarch64.sh`

More anaconda installation options (for ARM64 etc):
https://www.anaconda.com/products/individual

After installing anaconda restart Terminal app.

Chromium browser is also mandatory.

```bash
sudo apt install chromium-browser
```

## Installation - First time

```bash
cd /path/root/workspace

sudo chmod a+wr -R ~/.conda

conda clean --packages --tarballs
conda clean --all

conda install python=3.7 anaconda=custom
conda remove --name alarm_flight_ui --all
conda env create --file ./src/alarm_flight_ui/scripts/environment.yml

chmod +x ./src/alarm_flight_ui/scripts/main.py

catkin_make
```

## Installation - Update

override `./src/alarm_flight_ui/` contents from ZIP file

```bash
conda deactivate
conda remove --name alarm_flight_ui --all --yes
conda env create --file ./src/alarm_flight_ui/scripts/environment.yml

chmod +x ./src/alarm_flight_ui/scripts/main.py
```

## Launch package

```bash
conda activate alarm_flight_ui
source ./devel/setup.sh
roslaunch alarm_flight_ui main.launch
```

