import numpy as np

from models.Point import Point
from shapely.geometry.linestring import Point as shapely_point


class ControllerPoint:

    @staticmethod
    def to_list(point: Point):
        return [float(point.x), float(point.y)]

    @staticmethod
    def to_int_list(point: Point):
        return [int(point.x), int(point.y)]

    @staticmethod
    def distance(point_1: Point, point_2: Point):
        return np.sqrt((point_1.x - point_2.x)**2 + (point_1.y - point_2.y)**2)

    @staticmethod
    def transform(point: Point, transform):
        new_point = np.matmul(transform, np.array([point.x, point.y, 1]))
        return Point(new_point[0], new_point[1])

    @staticmethod
    def to_shapely_point(point: Point):
        return shapely_point(ControllerPoint.to_list(point))

    @staticmethod
    def from_shapely_point(point: shapely_point):
        return Point(*point.coords[0])