from dataclasses import dataclass, field
from typing import List

from dataclasses_json import dataclass_json

from models.MapDronePath import MapDronePath
from models.MapPointCloud import MapPointCloud
from models.MapPointsOfInterest import MapPointsOfInterest
from models.MapWalls import MapWalls

@dataclass_json
@dataclass
class MapLayers:
    layer_pointcloud_raw: MapPointCloud = field(default_factory=MapPointCloud)
    layer_pointcloud_filtered: MapPointCloud = field(default_factory=MapPointCloud)
    layer_drone_path: MapDronePath = field(default_factory=MapDronePath)
    layer_walls: MapWalls = field(default_factory=MapWalls)
    layer_pois: MapPointsOfInterest = field(default_factory=MapPointsOfInterest)
    transform_to_original: List[List[float]] = None
    transform_from_original: List[List[float]] = None
