from typing import List
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json

from models.MapDronePath import MapDronePath
from models.MapPointCloud import MapPointCloud
from models.Line import Line

@dataclass_json
@dataclass
class MapTemporary:
    point_cloud_in_meters: MapPointCloud = field(default_factory=MapPointCloud)
    point_cloud_in_pix: MapPointCloud = field(default_factory=MapPointCloud)
    filtered_point_cloud_in_meters: MapPointCloud = field(default_factory=MapPointCloud)
    filtered_point_cloud_in_pix: MapPointCloud = field(default_factory=MapPointCloud)
    path_points_in_meters: MapDronePath = field(default_factory=MapDronePath)
    path_points_in_pix: MapDronePath = field(default_factory=MapDronePath)
    map_image_greyscale: List[List[float]] = field(default_factory=list)
    map_image_rgb: List[List[float]] = field(default_factory=list)
    transformation_matrix_pix_to_meters: List[List[float]] = field(default_factory=list)
    transformation_matrix_meters_to_pix: List[List[float]] = field(default_factory=list)
    lines: List[Line] = field(default_factory=list)
    line_start_points_in_pix: List[List[float]] = field(default_factory=list)
    line_end_points_in_pix: List[List[float]] = field(default_factory=list)

