from dataclasses import dataclass, field
from typing import Optional
from dataclasses_json import dataclass_json
from models.FlightPlan import FlightPlan
from models.Logs import Logs
from models.MapLayers import MapLayers
from models.RosTopics import RosTopics
from models.ViewSettings import ViewSettings


@dataclass_json
@dataclass
class Project:
    uuid: str = ''
    view_settings: ViewSettings = field(default_factory=ViewSettings)
    map_layers: MapLayers = field(default_factory=MapLayers)
    logs: Logs = field(default_factory=Logs)
    flight_plan: Optional[FlightPlan] = field(default_factory=FlightPlan)
    ros_topics: Optional[RosTopics] = field(default_factory=RosTopics)
