export default class ComponentLogLine extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            is_expanded: false
        };
    }

    onToggle = () => {
        this.setState({
            is_expanded: !this.state.is_expanded
        })
    }

    render = () => {
        try {
            let has_search_term = false;
            let message = String(this.props.message).replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');
            let source = String(this.props.source).replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');
            if (this.props.is_searching && this.props.search_term.length > 0) {
                if (this.props.message.toLowerCase().includes(this.props.search_term.toLowerCase()) ||
                    this.props.source.toLowerCase().includes(this.props.search_term.toLowerCase())) {
                    has_search_term = true;
                    message = message.replace(new RegExp(this.props.search_term.toLowerCase(), 'ig'), function (match) {
                        return "<mark>" + match + "</mark>";
                    });
                    source = source.replace(new RegExp(this.props.search_term.toLowerCase(), 'ig'), function (match) {
                        return "<mark>" + match + "</mark>";
                    });
                }
            }

            return (
                <div
                    className={"log-line " + (has_search_term ? "highlighted " : "") + (this.props.is_cur_highlight ? "current" : "")}
                    idx={this.props.idx}
                >
                    <span
                        className="span-date">{(new Date(this.props.timestamp * 1000)).toISOString().slice(0, 19)}</span>
                    <span
                        className="span-source"
                        dangerouslySetInnerHTML={{__html: source}}
                    ></span>
                    <p
                        className={"span-message " + (this.state.is_expanded ? 'expanded' : '')}
                        onDoubleClick={this.onToggle}
                        dangerouslySetInnerHTML={{__html: message}}
                    ></p>
                </div>
            )
        } catch (e) {
            return <div>{e}</div>
        }
    }
}


