export default class ComponentPanelSide extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
        isOpened: !!props.isOpened
    };

    if(!props.title) {
      props.title = 'Panel'
    }
  }

  onTogglePanel = () => {
    try {
      this.setState({
        isOpened: !this.state.isOpened
      });
    }
    catch (e) {
      console.log(e);
    }
  }

  render = () => {
    return (
    <div className="sidepanel">
      <div className={`sidepanel-header ${this.state.isOpened && 'opened'}`} onClick={this.onTogglePanel}>
        <span>{this.props.title}</span>
      </div>
      {this.state.isOpened && <div className="sidepanel-content">
        {this.props.children}
      </div>}
    </div>);
  }
}


