export default class ComponentPanelStatusBottom extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            drone_state: 'Not set',
            drone_state_class: ''
        };

        document.addEventListener(UPDATE_DRONE_STATE, this.updateDroneState);
    }

    updateDroneState = (event) => {
        try {
            let drone_state_class = 'status-good';
            if(event.detail.toLowerCase().indexOf('error') >= 0 || event.detail.toLowerCase().indexOf('stop') >= 0) {
                drone_state_class = 'status-bad';
            }

            this.setState({
                drone_state: event.detail,
                drone_state_class: drone_state_class
            });


        } catch (e) {
            alert(e.message);
        }
    }

    componentDidMount = () => {

    }

    render = () => {
        return (
            <div id="panel-status-bottom">
                <div className="panel-status-bottom-pair">
                    <div className="panel-status-bottom-label">
                        <svg width="17" height="16" viewBox="0 0 17 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M0.5 11V5H8.5V0.160004L16.34 8L8.5 15.84V11H0.5Z" fill="white"/>
                        </svg>
                        <span>State</span>
                    </div>
                    <div className={"panel-status-bottom-value " + this.state.drone_state_class}>
                        {this.state.drone_state}
                    </div>
                </div>

                <div className="panel-status-bottom-pair">
                    <div className="panel-status-bottom-label">
                        <svg width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M10 18L14.86 8.27H11.5V2L6.5 11.73H10V18ZM10.5 0C13.25 0 15.6 1 17.55 2.95C19.5 4.9 20.5 7.25 20.5 10C20.5 12.75 19.5 15.1 17.55 17.05C15.6 19 13.25 20 10.5 20C7.75 20 5.4 19 3.45 17.05C1.5 15.1 0.5 12.75 0.5 10C0.5 7.25 1.5 4.9 3.45 2.95C5.4 1 7.75 0 10.5 0Z" fill="white"/>
                        </svg>
                        <span>Battery</span>
                    </div>
                    <div className="panel-status-bottom-value">
                        None
                    </div>
                </div>

                <div className="panel-status-bottom-pair">
                    <div className="panel-status-bottom-label">
                        <svg width="19" height="18" viewBox="0 0 19 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M6.5 0V2H4.5C3.96957 2 3.46086 2.21071 3.08579 2.58579C2.71071 2.96086 2.5 3.46957 2.5 4V6H0.5V8H2.5V10H0.5V12H2.5V14C2.5 14.5304 2.71071 15.0391 3.08579 15.4142C3.46086 15.7893 3.96957 16 4.5 16H6.5V18H8.5V16H10.5V18H12.5V16H14.5C15.0304 16 15.5391 15.7893 15.9142 15.4142C16.2893 15.0391 16.5 14.5304 16.5 14V12H18.5V10H16.5V8H18.5V6H16.5V4C16.5 3.46957 16.2893 2.96086 15.9142 2.58579C15.5391 2.21071 15.0304 2 14.5 2H12.5V0H10.5V2H8.5V0H6.5ZM5.5 6H9V7.5H6V8.25H8C8.26522 8.25 8.51957 8.35536 8.70711 8.54289C8.89464 8.73043 9 8.98478 9 9.25V11C9 11.2652 8.89464 11.5196 8.70711 11.7071C8.51957 11.8946 8.26522 12 8 12H5.5C5.23478 12 4.98043 11.8946 4.79289 11.7071C4.60536 11.5196 4.5 11.2652 4.5 11V7C4.5 6.73478 4.60536 6.48043 4.79289 6.29289C4.98043 6.10536 5.23478 6 5.5 6ZM10 6H11.5V8H13V6H14.5V12H13V9.5H10V6ZM6 9.75V10.5H7.5V9.75" fill="white"/>
                        </svg>
                        <span>CPU</span>
                    </div>
                    <div className="panel-status-bottom-value">
                        None
                    </div>
                </div>

                <div className="panel-status-bottom-pair">
                    <div className="panel-status-bottom-label">
                        <svg width="19" height="16" viewBox="0 0 19 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M3.5 0H15.5V1H18.5V3H15.5V5H18.5V7H15.5V9H18.5V11H15.5V13H18.5V15H15.5V16H3.5V15H0.5V13H3.5V11H0.5V9H3.5V7H0.5V5H3.5V3H0.5V1H3.5V0ZM8.5 11V14H9.5V11H8.5ZM10.5 11V14H11.5V11H10.5ZM12.5 11V14H13.5V11H12.5Z" fill="white"/>
                        </svg>
                        <span>RAM</span>
                    </div>
                    <div className="panel-status-bottom-value">
                        None
                    </div>
                </div>

                <div className="panel-status-bottom-pair">
                    <div className="panel-status-bottom-label">
                        <svg width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M11.5 0.0500031V3.08C14.89 3.57 17.5 6.47 17.5 10C17.5 10.9 17.32 11.75 17 12.54L19.62 14.07C20.18 12.83 20.5 11.45 20.5 10C20.5 4.82 16.55 0.550003 11.5 0.0500031ZM10.5 17C8.64348 17 6.86301 16.2625 5.55025 14.9497C4.2375 13.637 3.5 11.8565 3.5 10C3.5 6.47 6.11 3.57 9.5 3.08V0.0500031C4.44 0.550003 0.5 4.81 0.5 10C0.5 12.6522 1.55357 15.1957 3.42893 17.0711C4.35752 17.9997 5.45991 18.7363 6.67317 19.2388C7.88642 19.7413 9.18678 20 10.5 20C13.8 20 16.73 18.39 18.55 15.91L15.95 14.38C15.3006 15.2024 14.4722 15.8658 13.5278 16.3199C12.5834 16.7739 11.5479 17.0065 10.5 17Z" fill="white"/>
                        </svg>
                        <span>IMX</span>
                    </div>
                    <div className="panel-status-bottom-value">
                        None
                    </div>
                </div>
            </div>);
    }
}


