export default class ComponentRosNode extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
        sub_topic_space: this.props.sub_topic_space
    };
  }

  onSetChecked = (topic, checked) => {
      topic.is_selected = checked;
      for(let sub_topic of topic.children_topics) {
        this.onSetChecked(sub_topic, checked);
      }
  }

  render = () => {
    return (
        <div>

            <FormControlLabel
                sx={{
                    marginLeft: this.state.sub_topic_space + 'px'
                }}
                control={<Checkbox
                    checked={this.props.ros_topic.is_selected}
                    onChange={(event) => {
                        this.onSetChecked(this.props.ros_topic, event.target.checked);
                        this.setState({});
                    }}
                />}
                label={this.props.ros_topic.name}
            />
            {this.props.ros_topic.children_topics.length ?
                this.props.ros_topic.children_topics.map((ros_topic, i) =>
                        <ComponentRosNode
                            key={`${ros_topic.full_path}-${i}`}
                            ros_topic={ros_topic}
                            sub_topic_space={this.state.sub_topic_space + 25}/>
                    )
                : null
            }
        </div>
    );
  }
}


