export default class DialogChangePoiName extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            poiNewName: ""
        };
    };

    onClose = () => {
        this.setState({
            poiNewName: ""
        });
        this.props.onClose();
    }

    onOk = () => {
        eel.save_poi(this.state.poiNewName, 0, 0, this.props.poiUUID);
        this.onClose();
    }

    render = () => {
        const style = {
            width: 450,
            backgroundColor: "#f3f3f3",
            border: '2px solid #000',
            borderTop: 0,
            p: 4,
            borderRadius: "0 0 18px 18px",
        };

        const contain_style = {
            position: 'absolute',
            top: '50%',
            left: '50%',
            width: "auto",
            transform: 'translate(-50%, -50%)',
        }

        const title_bar_style = {
            fontSize: "102%",
            fontFamily: 'Space Grotesk',
            fontWeight: "600",
            letterSpacing: "0.5px",
            lineHeight: "25px",
            textAlign: "center",
            width: 450,
            backgroundColor: "#fff",
            border: '2px solid #000',
            borderBottom: 0,
            p: 1,
            borderRadius: "18px 18px 0 0",
        }

        return (
            <Modal
                open={this.props.isOpen}
                onClose={this.onClose}>
                <Grid container spacing={0} alignItems="center" direction="column" style={contain_style}>
                    <Grid item sx={title_bar_style}>POI name</Grid>
                    <Grid item sx={style}>
                        <div style={{display: "flex", flexDirection: "row"}}>
                            <TextField variant="outlined"
                                       value={this.state.poiNewName}
                                       onChange={(e) => this.setState({poiNewName: e.target.value})}
                                       label={this.props.poiName}
                                       sx={{
                                            backgroundColor: '#fff',
                                            border: "1px solid #D5DADC",
                                            borderRadius: "5px",
                                            margin: "0 10px",
                                            width: "240px"
                                        }}/>
                        </div>
                        <Button variant="action" onClick={this.onClose}>Cancel</Button>
                        <Button variant="action" onClick={this.onOk}>Ok</Button>
                    </Grid>
                </Grid>
            </Modal>
        )
    }
}